Operations related to live streams. A live stream is a single, linear video broadcast. You broadcast a live stream by receiving encoded source video into the Wowza Video service and letting Wowza Video transcode the stream and deliver it to viewers. A live stream is essentially a one-stop method for creating a transcoder, output renditions, stream targets, and associated players.
- Reference
- REST API
Wowza Video REST API Reference Documentation (v1.11)
API lifecycle phase: Supported 2
| Want to take the API for a test run? All you'll need is a Wowza Video subscription, or free trial, for the API access token. Then, fork our collection in Postman and you'll be making calls to our REST API in minutes! See Trial the Wowza Video REST API using Postman for more information. |
This reference documentation provides details about the operations, parameters, and request and reponse schemas for every resource and endpoint in the Wowza Video REST API. Samples appear in the right column. Sample requests are presented in cURL (Shell) and JavaScript; some samples also include just the JSON object. Response samples are all JSON. Examples in cURL use environment variables so you can easily copy and paste them. To learn more, see Using cURL.
Reference documentation is available for every version of the API. Use the Version menu at the top of the page to access the reference doc for a different version of the API.
Request
This operation shows the details of a specific asset.
The fields returned vary depending on when you send this request. For example, if a resource hasn't been created yet during the processing state, you won't see available_renditions in the response.
Tip: If your original upload URL expired and you need a new one for an asset, send this request and the response will contain a new upload URL.
- Mock serverhttps://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/assets/{id}
- https://api.video.wowza.com/api/v1.11/assets/{id}
- curl
- Java
- Python
- JavaScript
curl -i -X GET \
'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/assets/{id}'Success
The renditions available for the asset.
A descriptive name for the live stream. Maximum 200 characters.
A description of the asset. Maximum 16,000 characters.
The upload location for the asset. Use this URL to upload the .mp4 assets to the Wowza Video Asset Manager.
Only returned when the asset is in the uploading state, and returns a new upload URL. Useful if the previous upload URL expired and you need a new one.
An ID for the VOD. You can use this to fetch additional information about the VOD stream associated with the asset, such as the size of only the VOD stream.
An ID for the recording. You can use this to fetch additional information about the recording associated with the asset.
The state of the asset.
The reason that an asset has the state failed. Only returned when state is failed after processing is attempted.
The date and time that the asset was created in Coordinated Universal Time (UTC) format. Dates are formatted as follows: YYYY-DD-MMTHH:MM:SSZ using 24-hour clock ("military") time and including the T and Z. The T marks the end of the date portion and the Z represents zero UTC time offset.
The date and time that the asset was updated in Coordinated Universal Time (UTC) format. Dates are formatted as follows: YYYY-DD-MMTHH:MM:SSZ using 24-hour clock ("military") time and including the T and Z. The T marks the end of the date portion and the Z represents zero UTC time offset.
The URL that can be used to download the asset as a .MP4 file.
The file size of the asset in bytes. For example, 2372820 bytes equals 2.4 megabytes.
The length of an asset in seconds. For example, 9241 would represent 9,241 seconds or roughly 2.5 hours.
The URL to receive the preview thumbnail.
The unique_viewers parameter is deprecated. To get unique viewers for an asset, use the GET /analytics/viewers/vod_stream/{id} endpoint.
The HLS URL for the stream associated with the asset.
The total storage size for the asset in bytes. In this example, 19513598 equals 19.5 megabytes.
The name of the mp4 file you uploaded.
Note: To avoid file management issues in storage, Wowza Video removes or replaces special characters in file names.
A percentage that describes how soon transcoding will complete.
The HTML code that can be used in external webpage to host the Wowza Flowplayer.
{ "asset": { "available_renditions": [ … ], "id": "i4qsbwvi", "name": "My Asset", "description": "My Asset Description", "published": true, "tags": [ … ], "upload_url": "https://objectstorage.us-ashburn-1.oraclecloud.com/p/k9bGRcyPFPtdeQeTRgAVTByIVVS0Z_EKrLBu3TusTrRfBuIpoDyio_ZY3qJM55tp/n/a1b2c3d4e5f6/b/recordings-qa-S7I69eYn/o/uploads/recording_bry7vv0s/MyAsset.mp4", "vod_stream_id": "l9qsbwvf", "recording_id": "l8qsbwvu", "state": "completed", "reason": "", "created_at": "2021-06-30T18:02:20.000Z", "updated_at": "2021-06-30T18:02:20.000Z", "download_url": "https://objectstorage.us-ashburn-1.oraclecloud.com/n/idcrz33q3xdo/b/recordings-qa-S7I69eYn/o/abcd1234/recording_0pfxrlw2/MyAsset.mp4", "file_size": 2372820, "duration": 9241, "thumbnail_url": "https://objectstorage.us-ashburn-1.oraclecloud.com/n/idcrz33q3xdo/b/recordings-qa-S7I69eYn/o/abcd1234/recording_0pfxrlw2/0pfxrlw2_thumbnail.jpg", "unique_viewers": 5986, "total_viewing_time": 4492549, "average_view_time": 12580, "playback_url": "https://cdn3-qa.wowza.com/2/T1R6V2hBV2hEdmJ0/ZnJUOE9q/hls/g7z7bwbz/playlist.m3u8", "total_storage_size": 19513598, "file_name": "MyAsset.mp4", "processing_percentage": 100, "player_embed_code": "<div id='wowza_player'></div>\\n<script id='player_embed' src='//player.video.wowza.com/qa/xhb9jdmc/wowza.js' type='text/javascript'></script>\\n", "hosted_page": { … } } }
Provide the details of the asset to update in the body of the request.
A description of the asset. Maximum 16,000 characters.
Example: "description": "My updated asset description"
A descriptive name for the live stream. Maximum 200 characters.
Example: "name": "My Updated Live Stream Asset"
Specifies whether an asset is published, which enables playback.
Example: "published": true
A list of tags associated with the asset.
Example: "tags": ["Tag1", "Tag2", "Tag3"]
- Mock serverhttps://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/assets/{id}
- https://api.video.wowza.com/api/v1.11/assets/{id}
- curl
- Java
- Python
- JavaScript
curl -i -X PATCH \
'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/assets/{id}' \
-H 'Content-Type: application/json' \
-d '{
"asset": {
"description": "My Asset Description",
"name": "My Live Stream",
"published": true,
"tags": [
"Tag1",
"Tag2",
"Tag3"
],
"hosted_page": {
"title": "My Hosted Page",
"description": "",
"logo_image": "[Base64-encoded string representation of GIF, JPEG, or PNG file]",
"remove_logo_image": true,
"sharing_icons": false
}
}
}'Success
The renditions available for the asset.
A descriptive name for the live stream. Maximum 200 characters.
A description of the asset. Maximum 16,000 characters.
An ID for the VOD. You can use this to fetch additional information about the VOD stream associated with the asset, such as the size of only the VOD stream.
An ID for the recording. You can use this to fetch additional information about the recording associated with the asset.
The state of the asset.
The date and time that the asset was created in Coordinated Universal Time (UTC) format. Dates are formatted as follows: YYYY-DD-MMTHH:MM:SSZ using 24-hour clock ("military") time and including the T and Z. The T marks the end of the date portion and the Z represents zero UTC time offset.
The date and time that the asset was updated in Coordinated Universal Time (UTC) format. Dates are formatted as follows: YYYY-DD-MMTHH:MM:SSZ using 24-hour clock ("military") time and including the T and Z. The T marks the end of the date portion and the Z represents zero UTC time offset.
The URL that can be used to download the asset as a .MP4 file.
The file size of the asset in bytes. For example, 2372820 bytes equals 2.4 megabytes.
The length of an asset in seconds. For example, 9241 would represent 9,241 seconds or roughly 2.5 hours.
The URL to receive the preview thumbnail.
The total time that the asset has been viewed by anyone, in seconds. In this example 4492549 would equal 1,248 total hours of view time.
The average time that the asset has been viewed in seconds. For example, 12580 seconds would be 3.5 hours.
The HLS URL for the stream associated with the asset.
The total storage size for the asset in bytes. In this example, 19513598 equals 19.5 megabytes.
The name of the mp4 file you uploaded.
Note: To avoid file management issues in storage, Wowza Video removes or replaces special characters in file names.
A percentage that describes how soon transcoding will complete.
The HTML code that can be used in external webpage to host the Wowza Flowplayer.
{ "asset": { "available_renditions": [ … ], "id": "i4qsbwvi", "name": "My Asset", "description": "My Asset Description", "published": true, "tags": [ … ], "vod_stream_id": "l9qsbwvf", "recording_id": "l8qsbwvu", "state": "completed", "created_at": "2021-06-30T18:02:20.000Z", "updated_at": "2021-06-30T18:02:20.000Z", "download_url": "https://objectstorage.us-ashburn-1.oraclecloud.com/n/idcrz33q3xdo/b/recordings-qa-S7I69eYn/o/abcd1234/recording_0pfxrlw2/MyAsset.mp4", "file_size": 2372820, "duration": 9241, "thumbnail_url": "https://objectstorage.us-ashburn-1.oraclecloud.com/n/idcrz33q3xdo/b/recordings-qa-S7I69eYn/o/abcd1234/recording_0pfxrlw2/0pfxrlw2_thumbnail.jpg", "unique_viewers": 5986, "total_viewing_time": 4492549, "average_view_time": 12580, "playback_url": "https://cdn3-qa.wowza.com/2/T1R6V2hBV2hEdmJ0/ZnJUOE9q/hls/g7z7bwbz/playlist.m3u8", "total_storage_size": 19513598, "file_name": "MyAsset.mp4", "processing_percentage": 100, "player_embed_code": "<div id='wowza_player'></div>\\n<script id='player_embed' src='//player.video.wowza.com/qa/xhb9jdmc/wowza.js' type='text/javascript'></script>\\n", "hosted_page": { … } } }
- Mock serverhttps://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/assets/{id}
- https://api.video.wowza.com/api/v1.11/assets/{id}
- curl
- Java
- Python
- JavaScript
curl -i -X DELETE \
'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/assets/{id}'Operations related to recordings, which are created through the /live_streams or /transcoders resources. The Wowza Video service can create MP4 recordings of your live streams and transcoded output. Recordings can be downloaded and saved locally. They're based on the highest-bitrate output rendition that Wowza Video generates from your video source. See About recordings to learn more.
Operations related to schedules. Schedules allow you to automatically start or stop a live stream or transcoder at a predetermined date and time. You can configure a schedule to start and/or stop a live stream or transcoder just once, or you can configure it to repeat the behavior on a regular basis. See About schedules to learn more.
Operations related to video on demand (VOD) streams, which are created through the /live_streams or /transcoders resources. A VOD stream is a recording of a live stream that viewers can replay at a later date. After the broadcast is over and the live stream or transcoder is stopped, Wowza Video creates the VOD stream and generates a playback URL. See About VOD Streams to learn more.
Operations related to Real-Time Streaming at Scale. If your audience is fewer than 300 viewers or you want to deliver a stream in near real time alongside other delivery protocols, use our WebRTC solution.
To enable and purchase capacity for Real-Time Streaming at Scale for your account and access the /real_time operations, contact 720.279.8163 or schedule a call.